from pydantic import BaseModel, PositiveInt, NegativeInt, UUID4


class SuccessChatFromAiSchema(BaseModel):
    user_id: PositiveInt | None
    slice_id: UUID4 | None
    reason: str | None


class ResponseFromGeminiSchema(BaseModel):
    success: list[SuccessChatFromAiSchema] | None
